#ifndef TARIFF_DAILY_TICKET_H_INCLUDED
#define TARIFF_DAILY_TICKET_H_INCLUDED

#include <QString>
#include <QDateTime>
#include <QVector>

struct DailyTicket {
    DailyTicket() = default;

    int daily_ticket_payment_option_id;
    int daily_ticket_unit_id;
    double daily_ticket_price;

    int daily_ticket_tbase_id;              // time base setting for ticket:
                                            // 1: absolute: using time stamps
                                            // 2: relative: use offsets from
                                            //    some reference time point,
                                            //    typically "start time".

    QVector<int> daily_ticket_clearance_id; // who is allowed to buy the ticket:
                                            // list of user ids

    QTime daily_ticket_from_min;            // used in case time base == 1
    QTime daily_ticket_to_max;

    int daily_ticket_from_offset_min;       // used in case time base == 2
    int daily_ticket_to_offset_max;
};

#endif // TARIFF_DAILY_TICKET_H_INCLUDED
